Package gov.nasa.gsfc.sscweb.schema

# Enum Class SpaceRegionType

java.lang.Object
java.lang.Enum<SpaceRegionType>
gov.nasa.gsfc.sscweb.schema.SpaceRegionType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpaceRegionType>`, `Constable`

public enum SpaceRegionType extends Enum<SpaceRegionType>
Magnetosphere space region enumeration. See http://sscweb.gsfc.nasa.gov/users_guide/ssc_reg_doc.html for a description. <p>Java class for SpaceRegionType</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="SpaceRegionType"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="InterplanetaryMedium"/> <enumeration value="DaysideMagnetosheath"/> <enumeration value="NightsideMagnetosheath"/> <enumeration value="DaysideMagnetosphere"/> <enumeration value="NightsideMagnetosphere"/> <enumeration value="PlasmaSheet"/> <enumeration value="TailLobe"/> <enumeration value="HighLatitudeBoundaryLayer"/> <enumeration value="LowLatitudeBoundaryLayer"/> <enumeration value="DaysidePlasmasphere"/> <enumeration value="NightsidePlasmasphere"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAYSIDE_MAGNETOSHEATH`
  Dayside Magnetosheath region.
  `DAYSIDE_MAGNETOSPHERE`
  Dayside Magnetosphere region.
  `DAYSIDE_PLASMASPHERE`
  Dayside Plasmasphere region.
  `HIGH_LATITUDE_BOUNDARY_LAYER`
  High Latitude Boundary Layer region.
  `INTERPLANETARY_MEDIUM`
  Interplanetary Medium region.
  `LOW_LATITUDE_BOUNDARY_LAYER`
  Low Latitude Boundary Layer region.
  `NIGHTSIDE_MAGNETOSHEATH`
  Nightside Magnetosheath region.
  `NIGHTSIDE_MAGNETOSPHERE`
  Nightside Magnetosphere region.
  `NIGHTSIDE_PLASMASPHERE`
  Nightside Plasmasphere region.
  `PLASMA_SHEET`
  Plasma Sheet region.
  `TAIL_LOBE`
  Tail Lobe region.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `SpaceRegionType(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpaceRegionType`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static SpaceRegionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpaceRegionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERPLANETARY_MEDIUM

    public static final SpaceRegionType INTERPLANETARY_MEDIUM
    Interplanetary Medium region.

  - ### DAYSIDE_MAGNETOSHEATH

    public static final SpaceRegionType DAYSIDE_MAGNETOSHEATH
    Dayside Magnetosheath region.

  - ### NIGHTSIDE_MAGNETOSHEATH

    public static final SpaceRegionType NIGHTSIDE_MAGNETOSHEATH
    Nightside Magnetosheath region.

  - ### DAYSIDE_MAGNETOSPHERE

    public static final SpaceRegionType DAYSIDE_MAGNETOSPHERE
    Dayside Magnetosphere region.

  - ### NIGHTSIDE_MAGNETOSPHERE

    public static final SpaceRegionType NIGHTSIDE_MAGNETOSPHERE
    Nightside Magnetosphere region.

  - ### PLASMA_SHEET

    public static final SpaceRegionType PLASMA_SHEET
    Plasma Sheet region.

  - ### TAIL_LOBE

    public static final SpaceRegionType TAIL_LOBE
    Tail Lobe region.

  - ### HIGH_LATITUDE_BOUNDARY_LAYER

    public static final SpaceRegionType HIGH_LATITUDE_BOUNDARY_LAYER
    High Latitude Boundary Layer region.

  - ### LOW_LATITUDE_BOUNDARY_LAYER

    public static final SpaceRegionType LOW_LATITUDE_BOUNDARY_LAYER
    Low Latitude Boundary Layer region.

  - ### DAYSIDE_PLASMASPHERE

    public static final SpaceRegionType DAYSIDE_PLASMASPHERE
    Dayside Plasmasphere region.

  - ### NIGHTSIDE_PLASMASPHERE

    public static final SpaceRegionType NIGHTSIDE_PLASMASPHERE
    Nightside Plasmasphere region.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### SpaceRegionType

    private SpaceRegionType(String v)

- ## Method Details

  - ### values

    public static SpaceRegionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpaceRegionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static SpaceRegionType fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.